﻿@font-face {
    font-family: 'PPEditorial-Geist';
    src: url(https://static.tildacdn.net/tild3931-6262-4165-b363-616633383762/PPEditorialOld-Ultra.woff) format('woff');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'PPEditorial-Geist';
    src: url(https://static.tildacdn.net/tild3931-6262-4165-b363-616633383762/PPEditorialOld-Ultra.woff) format('woff');    
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /*cursor:none*/
}

html, body {
    height: 100%;
    width: 100%;
    overflow-x: hidden;
}
p {
    font-family: 'Roboto', sans-serif;
}
li {
    font-family: 'Roboto', sans-serif;
}
#cursor {
    position: fixed;
    top: 0;
    left: 0;
    transform: translate(-50%,-50%);
    mix-blend-mode: difference;
    /*transition: 0.1s;*/
    width: 20px;
    height: 20px;
    border-radius: 50%;
    pointer-events: none;
    background-color: #f8b300;
    z-index: 9999;
}

#cursor-blure {
    position: fixed;
    top: 0;
    left: 0;
    transform: translate(-50%,-50%);
    filter: blur(50px);
    width: 500px;
    height: 500px;
    border-radius: 50%;
    pointer-events: none;
    background-color: #f8b30038;
    z-index: 9999;
}

.animation {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 99999999999999999;
    background-color: #f8b300;
}

.animation1 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 99999999999999999;
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

    .animation1 h1 {
        font-weight: bold;
        font-size: 12vw;
    }

    .animation1 h2 {
        line-height: 35px;
        font-weight: bold;
        font-size: 10vw;
    }

/*nav*/
#navbar {
    height: 60px;
    width: 100%;
    padding: 0 1.5%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    background-color: rgba(15, 13, 13, 0.6);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    /*border-bottom: 1px solid rgba(248, 179, 0, 0.15);*/
    transition: all 0.3s ease;
}

    #navbar img {
        height: 55px;
        z-index: 2;
    }

.nav {
    padding: 1rem;
    width: 100%;
    background-color: black;
    z-index: 9991;
    height: 100vh;
    margin: 0px;
    transition: 1s ease;
    position: fixed;
    top: 0;
    /* box-shadow: 0px 0px 10px 0px #ffffff; */
    display: flex;
    justify-content: center;
}

    .nav ul {
        display: block;
        padding: 0;
        width: 100%;
    }

    .nav li {
        list-style: none;
        display: flex;
        text-align: center;
    }

        .nav li a {
            padding: 1rem 1rem;
            color: #fff;
            font-weight: bold;
            text-decoration: none;
            width: 100%;
        }

            .nav li a:hover {
                color: #f8b300;
            }

            .nav li a i {
                font-size: 2rem;
            }

.navarea {
    z-index: 2;
    position: absolute;
    top: 4%;
    right: 4%;
}

.menucir {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cir {
    width: 50px;
    height: 50px;
    border: 5px solid #f8b300;
    border-radius: 100%;
    position: absolute;
}

#cir-1 {
    animation: closeicon 3s linear 0.5s infinite;
}

#cir-2 {
    animation: closeicon 3s linear 1s infinite;
}

#cir-3 {
    animation: closeicon 3s linear 1.5s infinite;
}

@keyframes closeicon {
    0% {
        width: 0px;
        height: 0px;
    }

    50% {
        opacity: 1;
    }

    100% {
        width: 100px;
        height: 100px;
        opacity: 0;
    }
}
/*nav*/

.main {
    background-color: #0f0d0d;
}


/* page 1 */
.page1 {
    min-height: 100vh;
    /*min-height: 60dvw;*/
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    background-color: #0f0d0d;
    justify-content: center;
}

#menu {
    width: 35px;
    cursor: pointer;
    z-index: 100;
}


    #menu i {
        font-size: 40px;
        color: white;
        font-weight: 800;
        transition: transform 0.5s ease-in-out;
        z-index: 1;
    }

        #menu i:hover {
            transform: rotate(180deg);
        }



.page1 h1 {
    font-size: 5vw;
    color: #fff;
    font-family: roboto;
    /*margin-top: 10vw;*/
    margin-left: auto;
    text-align: center;
    position: relative;
    z-index: 1;
    width: 100%;
}

.page1 h2 {
    font-size: 5vw;
    color: #fff;
    font-family: roboto;
    margin-left: auto;
    text-align: center;
    position: relative;
    z-index: 1;
    width: 100%;
}

.headerText {
    position: relative;
    /*position: absolute;*/
    /* top: 30%; */
    height: 30%;
    width: 100%;
    white-space: nowrap;
}

    .headerText h3 {
        font-size: 15vw;
        font-family: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
        font-weight: 600;
        display: inline-block;
        animation: keshuanim;
        animation-duration: 19s;
        animation-timing-function: linear;
        animation-iteration-count: infinite;
        margin-right: 2rem;
    }

        .headerText h3 span {
            -webkit-text-stroke: 1px #f8b300;
            color: transparent;
        }

@keyframes keshuanim {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-100%);
    }
}
/* page 1 */

/* page vdo */
.pagevdo {
    min-height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
}

    .pagevdo video {
        width: 60%;
        height: 95vh;
        /*height: 25dvh;*/
        left: 50%;
        transform: translate(-50%,0);
        position: relative;
        z-index: 1;
        object-fit: cover;
        background-image: url(/asset/video/vdo.png);
        background-size: cover;
        background-position: center;
    }
/* page vdo */

/* page 2 */
.page2 {
    min-height: 100vh;
    width: 100%;
}

    .page2 > h1 {
        color: #f8b300;
        font-size: clamp(3rem, 7vw, 6rem);
        -webkit-text-stroke: 1px #f8b300; /* visible when transparent */
        position: relative;
        text-align: center;
    }

    .page2 > h2 {
        font-size: 4vw;
        text-align: center;
        /*color: transparent;*/ /* visible starting color */
        color: #fff;
        margin-bottom: 3rem;
    }

.cards-container {
    padding: 2rem;
    width: 100%;
    min-height: 60vh;
    position: relative;
    z-index: 10;
}

.card {
    height: 350px;
    /*background-color: #f8b300;*/
    border-radius: 20px;
    border: none; /* override bootstrap card border */
    background-size: cover;
    background-position: center;
    overflow: hidden;
    transition: all ease 0.6s;
}

    .card a {
        text-decoration: none;
        height: 100%;
        width: 100%;
    }

#card1 {
    background-image: url(/asset/images/Maternity.jpg);
}

#card2 {
    background-image: url(/asset/images/FashionE-Commerce.jpg);
}

#card3 {
    background-image: url(/asset/images/Product.png);
}

#card4 {
    background-image: url(/asset/images/Event.JPG);
}

#card5 {
    background-image: url(/asset/images/Corporate.jpg);
}

#card6 {
    background-image: url(/asset/images/InteriorArchitecture.jpg);
}

#card7 {
    background-image: url(/asset/images/EditingServices.jpg);
}

.overlay {
    height: 100%;
    width: 100%;
    background-color: #f8b300;
    padding: 30px;
    padding-top: 100px;
    opacity: 0;
    transition: all ease 0.6s;
}

    .overlay i {
        position: absolute;
        top: 0px;
        right: 0px;
        font-size: 3.5rem;
        color: black;
        background-color: transparent;
        border-radius: 50%;
    }

        .overlay i:hover {
            position: absolute;
            top: 0px;
            right: 0px;
            font-size: 3.5rem;
            color: #f8b300;
            background-color: white;
            border-radius: 50%;
        }

    .overlay h4 {
        color: black;
        font-size: 1.2rem;
        text-transform: uppercase;
        /*white-space:nowrap;*/
        font-weight: 800;
        margin-bottom: 20px;
    }

    .overlay p {
        color: black;
        font-size: 0.9rem;
        text-align: justify;
    }

.card:hover .overlay {
    opacity: 1;
}

.card:hover {
    transform: rotate3d(-1,1,0,20deg);
}

.fronttext {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #0000005e;
    opacity: 1;
}

    .fronttext h4 {
        position: absolute;
        bottom: 5%;
        left: 2%;
        color: white;
    }

.card:hover .fronttext {
    opacity: 0;
}
/* page 2 */

/* page 3 */
.page3 {
    min-height: 100vh;
    width: 100%;
    background-color: #0f0d0d;
    display: flex;
    align-items: center;
}

#move {
    background-color: #f8b300;
    display: flex;
    padding: 1vw 0;
    overflow: hidden;
}

.marque {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    gap: 2vw;
    padding: 0 1.5vw;
    transform: translateX(-100%)
}

    .marque h1 {
        font-size: 2.5vw;
        margin-bottom: 0;
    }

    .marque img {
        height: 3vw;
    }

.page3-innertext {
    display: flex;
    flex-direction: row;
    padding: 10vw 1vw;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.page3-innertext-left {
    width: 60%;
    /*padding: 10vw 0;*/
}

    .page3-innertext-left h2 {
        font-family: 'PPEditorial-Geist',Arial,sans-serif;
        font-weight: 800;
        font-size: clamp(2rem, 3.8vw + 0.5rem, 7rem);
    }

    .page3-innertext-left p {
        text-align: justify;
        color: black;
        font-family: roboto;
    }

.page3-innertext-right {
    width: 40%;
    /*padding: 10vw 0;*/
    text-align: center;
    position: relative;
    height: 350px;
    display: flex;
    align-items: center;
}

    .page3-innertext-right img {
        width: 250px;
        /*height: 250px;*/
    }

#innertext-right {
    justify-content: center;
    display: flex;
    text-align: center;
    align-items: center;
    z-index: 100;
}

.innertext-right {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.innertext-rightcir {
    width: 100%;
    border-radius: 100%;
    position: absolute;
}

#innertext-right img {
    transition: transform 0.5s ease-in-out;
    /*border-radius: 100%;*/
    z-index: 1;
}

.innertextcir {
    width: 50px;
    height: 50px;
    border: 5px solid #f8b300;
    /*border-radius: 100%;*/
    position: absolute;
}

#innertext-rightcir-1 {
    animation: pixellg 3s linear 0.5s infinite;
}

#innertext-rightcir-2 {
    animation: pixellg 3s linear 1s infinite;
}

#innertext-rightcir-3 {
    animation: pixellg 3s linear 1.5s infinite;
}

@keyframes pixellg {
    0% {
        width: 0px;
        height: 0px;
    }

    50% {
        opacity: 1;
    }

    100% {
        width: 350px;
        height: 350px;
        opacity: 0;
    }
}
/* page 3 */

/* page 4 */
.page4 {
    min-height: 100vh;
    width: 100%;
    background-color: white;
    padding: 0vw 2vw;
    color: white;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

    .page4 h2 {
        padding-bottom: 3vw;
        padding-top: 3vw;
    }

        .page4 h2 span {
            /*font-family: 'PPEditorial-Geist',Arial,sans-serif;*/
            font-weight: 800;
        }

    .page4 p {
        width: 60%;
        margin: auto;
    }

    .page4 .borderk {
        border-left: 1px solid gold;
        border-right: 1px solid gold;
        border-top: 1px solid gold;
        border-bottom: 1px solid gold;
    }

    .page4 .borderk1 {
        border-left: 0px solid gold;
        border-right: 0px solid gold;
        border-top: 0px solid gold;
        border-bottom: 0px solid gold;
    }
/* page 4 */

/* page 5 */
.page5 {
    min-height: 100vh;
    width: 100%;
    padding: 0vw 2vw;
    background-color: #0f0d0d;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
}

    .page5 h2 {
        font-family: 'PPEditorial-Geist',Arial,sans-serif;
        font-size: 6vw;
    }

    .page5 h4 {
        font-size: 2.5vw;
    }

    .page5 h2, h6, p {
        color: white;
    }

    .page5 h4 {
        color: gold;
    }

.btnk {
    height: 50px;
    /*font-size:1.5vw;*/
    line-height: 45px;
    text-align: center;
    position: relative;
    /*position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);*/
    -webkit-transition: all .3s ease-out;
    -o-transition: all .3s ease-out;
    transition: all .3s ease-out;
}

.textk {
    padding: 0 70px;
    visibility: hidden;
}

.flip-front,
.flip-back {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    -webkit-transform-style: flat;
    transform-style: flat;
    -webkit-transition: -webkit-transform .3s ease-out;
    -o-transition: -o-transform .3s ease-out;
    transition: transform .3s ease-out;
}

.flip-front {
    color: gold;
    border: 2px solid gold;
    background-color: transparent;
    -webkit-transform: rotateX(0deg) translateZ(25px);
    -ms-transform: rotateX(0deg) translateZ(25px);
    -o-transform: rotateX(0deg) translateZ(25px);
    transform: rotateX(0deg) translateZ(25px);
}

.flip-back {
    color: #0f0d0d;
    background-color: gold;
    border: 2px solid gold;
    -webkit-transform: rotateX(90deg) translateZ(25px);
    -ms-transform: rotateX(90deg) translateZ(25px);
    -o-transform: rotateX(90deg) translateZ(25px);
    transform: rotateX(90deg) translateZ(25px);
}

.btnk:hover .flip-front {
    -webkit-transform: rotateX(-90deg) translateZ(25px);
    -ms-transform: rotateX(-90deg) translateZ(25px);
    -o-transform: rotateX(-90deg) translateZ(25px);
    transform: rotateX(-90deg) translateZ(25px);
}

.btnk:hover .flip-back {
    -webkit-transform: rotateX(0deg) translateZ(25px);
    -ms-transform: rotateX(0deg) translateZ(25px);
    -o-transform: rotateX(0deg) translateZ(25px);
    transform: rotateX(0deg) translateZ(25px);
}
/* page 5 */

/* page 6 */
.page6 {
    min-height: 100%;
    width: 100%;
    padding: 5vh 0vw 2vh 0vh;
}

    .page6 h2 {
        color: white;
        font-size: 4vw;
        margin-bottom: 2rem;
    }

    .page6 h3 {
        color: white;
        font-size: 2vw;
    }

.page6con {
    /*width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 2vw;*/
}

.page6box {
    padding: 1rem;
}

    .page6box p {
        margin: 0;
    }

    .page6box a {
        text-decoration: none;
        color: gold;
        transition: all 0.5s ease-in;
    }

        .page6box a:hover {
            text-decoration: none;
            color: white;
            padding-left: 0.3rem;
        }

.page6copy {
    width: 100%;
    border-top: 1px solid gold;
    display: flex;
    justify-content: space-between;
}

    .page6copy p {
        padding: 0;
        margin: 0;
    }

    .page6copy span {
        color: gold;
    }

    .page6copy a {
        color: gold;
        text-decoration: none;
        transition: all 0.5s ease-in;
    }

        .page6copy a:hover {
            color: white;
            text-decoration: none;
        }
/* page 6 */


/*about-us page*/
.about {
    min-height: 60vh;
    padding-top: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #fff;
}

    .about h1 {
        font-size: 5vw;
        color: #fff;
        font-family: roboto;
        /*margin-top: 10vw;*/
        margin-left: auto;
        text-align: center;
        position: relative;
        z-index: 1;
        width: 100%;
    }
.abt{
    color:#fff;
}
.abt p {
    text-align: justify;
}
.abt h2 {
    font-size: 5vh;
    color:#fff;
    margin-bottom:1rem;
}
/*about-us page*/

/*service page*/
.boxsrv{
    width:100%;
    height:100%;
    border:1px solid gold;
    padding:10px;
}
/*service page*/

@media screen and (max-width: 768px) {
    #cursor {
        display: none;
    }

    #cursor-blure {
        display: none;
    }

    #navbar {
        height: 50px;
    }

        #navbar img {
            height: 35px;
        }

    #menu i {
        font-size: 25px;
    }

    .page1, .pagevdo, .page2, .page3, .page4, .page5, .page6 {
        min-height: 35dvh;
    }
        .page1 .headerText {
            margin-top: 10%;
        }

        .page1 h1 {
            margin-left: 53%;
            transform: translate3d(-50%, 0px, 0px) !important;
        }

        .page1 h2 {
            margin-left: -40%;
            transform: translate3d(50%, 0px, 0px) !important;
        }

        .pagevdo video {
            width: 95%;
            height: 45dvh;
        }

        .page2 > h1 {
            text-align: center;
        }

        .page2 > h2 {
            color: white;
            margin-bottom: 0.5rem;
        }

    .about {
        min-height: 30dvh;
        padding-top: 50px;
    }

        .about h1 {
            font-size: 1.8rem;
        }

    .cards-container {
        width: auto;
    }

    .card {
        height: 220px;
    }

    .overlay {
        padding-top: 30px;
    }

        .overlay h4 {
            font-size: 0.9rem
        }

        .overlay p {
            font-size: 0.8rem
        }

    .headerText {
        top: 15%;
    }

    .page3 {
        background-color: #fff;
    }

    .page3-innertext {
        flex-direction: column;
    }

    .page3-innertext-left {
        width: 100%;
        padding: 5vw 4vw;
    }

        .page3-innertext-left h1 {
            font-size: 6vw;
            font-weight: bold;
        }

    .page3-innertext-right {
        width: 100%;
        padding: 5vw 1vw;
    }

    .page4 {
        background-color: #0f0d0d;
    }

        .page4 > h2 > span {
            color: #f8b300;
        }

        .page4 p {
            width: 100%;
        }

        .page4 .borderk {
            border-left: 0px solid gold;
            border-right: 0px solid gold;
            border-top: 1px solid gold;
            border-bottom: 0px solid gold;
        }

        .page4 .borderk1 {
            border-left: 0px solid gold;
            border-right: 0px solid gold;
            border-top: 1px solid gold;
            border-bottom: 1px solid gold;
        }

    .page5 h2 {
        font-size: 7vw;
    }

    .page5 h4 {
        font-size: 5vw;
    }

    .page6 h3 {
        font-size: 7vw;
    }

    .page6con {
        flex-direction: column
    }

    .page6copy {
        flex-direction: column;
        text-align: center;
        padding-bottom: 1rem;
    }
}
@media screen and (max-width: 425px) {
    .pagevdo video {
        width: 95%;
        height: 25dvh;
    }
}